Index: pacemaker/pengine/test10/complex_enforce_colo.exp
===================================================================
--- pacemaker.orig/pengine/test10/complex_enforce_colo.exp
+++ pacemaker/pengine/test10/complex_enforce_colo.exp
@@ -2078,7 +2078,7 @@
     <action_set>
       <rsc_op id="501" operation="stop" operation_key="ceilometer-notification_stop_0" internal_operation_key="ceilometer-notification:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-notification" long-id="ceilometer-notification:0" class="systemd" type="openstack-ceilometer-notification"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2094,7 +2094,7 @@
     <action_set>
       <rsc_op id="503" operation="stop" operation_key="ceilometer-notification_stop_0" internal_operation_key="ceilometer-notification:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-notification" long-id="ceilometer-notification:1" class="systemd" type="openstack-ceilometer-notification"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2110,7 +2110,7 @@
     <action_set>
       <rsc_op id="505" operation="stop" operation_key="ceilometer-notification_stop_0" internal_operation_key="ceilometer-notification:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-notification" long-id="ceilometer-notification:2" class="systemd" type="openstack-ceilometer-notification"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2159,7 +2159,7 @@
     <action_set>
       <rsc_op id="511" operation="stop" operation_key="heat-api_stop_0" internal_operation_key="heat-api:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="heat-api" long-id="heat-api:0" class="systemd" type="openstack-heat-api"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2175,7 +2175,7 @@
     <action_set>
       <rsc_op id="513" operation="stop" operation_key="heat-api_stop_0" internal_operation_key="heat-api:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="heat-api" long-id="heat-api:1" class="systemd" type="openstack-heat-api"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2191,7 +2191,7 @@
     <action_set>
       <rsc_op id="515" operation="stop" operation_key="heat-api_stop_0" internal_operation_key="heat-api:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="heat-api" long-id="heat-api:2" class="systemd" type="openstack-heat-api"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2240,7 +2240,7 @@
     <action_set>
       <rsc_op id="521" operation="stop" operation_key="heat-api-cfn_stop_0" internal_operation_key="heat-api-cfn:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="heat-api-cfn" long-id="heat-api-cfn:0" class="systemd" type="openstack-heat-api-cfn"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2256,7 +2256,7 @@
     <action_set>
       <rsc_op id="523" operation="stop" operation_key="heat-api-cfn_stop_0" internal_operation_key="heat-api-cfn:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="heat-api-cfn" long-id="heat-api-cfn:1" class="systemd" type="openstack-heat-api-cfn"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2272,7 +2272,7 @@
     <action_set>
       <rsc_op id="525" operation="stop" operation_key="heat-api-cfn_stop_0" internal_operation_key="heat-api-cfn:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="heat-api-cfn" long-id="heat-api-cfn:2" class="systemd" type="openstack-heat-api-cfn"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2321,7 +2321,7 @@
     <action_set>
       <rsc_op id="531" operation="stop" operation_key="heat-api-cloudwatch_stop_0" internal_operation_key="heat-api-cloudwatch:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="heat-api-cloudwatch" long-id="heat-api-cloudwatch:0" class="systemd" type="openstack-heat-api-cloudwatch"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2334,7 +2334,7 @@
     <action_set>
       <rsc_op id="533" operation="stop" operation_key="heat-api-cloudwatch_stop_0" internal_operation_key="heat-api-cloudwatch:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="heat-api-cloudwatch" long-id="heat-api-cloudwatch:1" class="systemd" type="openstack-heat-api-cloudwatch"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2347,7 +2347,7 @@
     <action_set>
       <rsc_op id="535" operation="stop" operation_key="heat-api-cloudwatch_stop_0" internal_operation_key="heat-api-cloudwatch:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="heat-api-cloudwatch" long-id="heat-api-cloudwatch:2" class="systemd" type="openstack-heat-api-cloudwatch"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2393,7 +2393,7 @@
     <action_set>
       <rsc_op id="541" operation="stop" operation_key="heat-engine_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="heat-engine" class="systemd" type="openstack-heat-engine"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/container-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/container-1.exp
+++ pacemaker/pengine/test10/container-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="container1_monitor_20000" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="container1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="container1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="container1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -63,7 +63,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -76,7 +76,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc2_monitor_5000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -89,7 +89,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/container-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/container-2.exp
+++ pacemaker/pengine/test10/container-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="container1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="container1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="container1_monitor_20000" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -61,7 +61,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -70,7 +70,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -83,7 +83,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -99,7 +99,7 @@
     <action_set>
       <rsc_op id="9" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -108,7 +108,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc2_monitor_5000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/container-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/container-3.exp
+++ pacemaker/pengine/test10/container-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="container1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="container1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="container1_monitor_20000" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -42,7 +42,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -55,7 +55,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="8" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -93,7 +93,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_5000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/container-4.exp
===================================================================
--- pacemaker.orig/pengine/test10/container-4.exp
+++ pacemaker/pengine/test10/container-4.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="container1_monitor_20000" on_node="node2" on_node_uuid="node2">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="6" operation="start" operation_key="container1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="container1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="container1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -45,7 +45,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -58,7 +58,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -74,7 +74,7 @@
     <action_set>
       <rsc_op id="8" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -83,7 +83,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="rsc2_monitor_5000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -96,7 +96,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -112,7 +112,7 @@
     <action_set>
       <rsc_op id="11" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_container="container1" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
